> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 구독 취소 API

> 구독이 취소되었을 때 사용합니다. 진행중이던 시나리오가 있다면 멈춥니다.



## OpenAPI

````yaml /steppay_v1.json put /api/v1/cover/subscription/{subscriptionId}/cancel
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/cover/subscription/{subscriptionId}/cancel:
    put:
      tags:
        - 커버 API
      summary: 구독 취소 API
      description: 구독이 취소되었을 때 사용합니다. 진행중이던 시나리오가 있다면 멈춥니다.
      operationId: v1_cancelSubscription_2
      parameters:
        - name: subscriptionId
          in: path
          description: 구독 ID
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 구독 정보가 정상적으로 취소됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DefaultResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CoverErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CoverErrorresponse'
components:
  schemas:
    DefaultResponse:
      title: 기본 응답 데이터
      required:
        - message
        - result
      type: object
      properties:
        result:
          type: boolean
          description: 성공 여부
        message:
          type: string
          description: 메세지
    CoverErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````